=== Backup & Staging - BlogVault Backups ===
Contributors: BlogVault Backup
Tags: backup, wordpress backup, backup plugin, cloud backup, database backup, back up, staging, restore, s3 backup, dropbox backup, google drive backup
Plugin URI: https://blogvault.net/
Donate link: https://app.blogvault.net/home/signup
Requires at least: 4.0
Tested up to: 5.4
Requires PHP: 5.4.0
Stable tag: 4.26
License: GPLv2 or later
License URI: [http://www.gnu.org/licenses/gpl-2.0.html](http://www.gnu.org/licenses/gpl-2.0.html)

Backup , Restore, Migrate, and Stage  your website with our incremental backup technology. Backup easily to S3 and Dropbox. Complete website backups.

== DESCRIPTION ==
The Most Reliable Incremental Backup Plugin with Free Cloud Storage. Best Part, Comes with a FREE Staging Environment.

Check out more BlogVault customer testimonials from **[here](http://bit.ly/2RGXKN2)**

With a 100% Successful Website Restore Rate, BlogVault is the world's Fastest and most Reliable WordPress Backup solution trusted by over 4,50,000+ websites.

**Companies you Trust, Trust BlogVault.**

We officially power migration for some of the largest web hosts from WPEngine, Pantheon, FlyWheel, LiquidWeb, Cloudways, Savvii and many more.

It is the perfect solution for developer and agencies as it comes with all the tools you need to maintain and manage multiple websites. **From One-Click Staging to Flawless Migrations to Complete Website Management and a White Label Solution**. It even provides out of the box **Client Reporting**.

Learn more about BlogVault from **[here](http://bit.ly/2RLJh2e)**

== BlogVault in Numbers ==
* 1+ million Successful Website Restorations
* 450,000+ Sites backed up and counting
* 330GB Largest site Backed Up
* 10,000+ Web hosts Compatibility
* Five Star Support

[youtube https://www.youtube.com/watch?v=Y4teDRL08mY]

== Benefits of Using BlogVault as Your Go-to Backup Solution ==

= 1. Incremental Backups Guaranteed to Always Work =
* Incremental backups that never overloads your server
* Free offsite storage ensures 24X7 availability
* 90 days archive to recover from any mistake
* First plugin with Multi-site backup support

= 2. Fastest Website Recovery Within Minutes =
* 1 million+ website restores with 100% success rate
* Differential Restore for lightning-fast recovery
* 90 days archive to recover from any mistake
* Perform full Restore even if your website is offline

= 3. Deploy a Staging Site in One-click for Free =
* Safely test your website updates and changes
* Staging site runs on our cloud servers
* Completely free of cost
* One-click Merge to push changes to live site

= 4. Frustration-Free Website Migrations in 1-Click =
* Compatible & approved with 5,000+ web hosts
* Zero downtime guaranteed
* Intelligent automatic rewrite of all website URLs
* Migrate to a new domain, host, DNS or server

= 5. Real-time Backups for WooCommerce Stores =
* Backup all orders as and when they take place
* Recover anytime with 365 days of backup archives
* 24X7 data protection with offsite storage

= 6. Manage Multiple Websites from a Single Dashboard =
* Perform WordPress core, theme, plugin updates
* Invite team members for efficient collaboration
* Exclusive White-label solution to grow revenues
* Beautiful and comprehensive Client Reporting

= 7. Last, BlogVault is a "Service," Not just a Backup Plugin =
* Always improving & adding features unlike plugins
* Our Support always has your back
* Full peace of mind with encrypted offsite storage
* Access backups 24X7 with independent dashboard

== Why Choose BlogVault Backup Services? ==

* **Set up & Running in Just 60 Secs -** Get started in no time. Log in. Auto-Install. And that’s it!
* **Comes with Built-in Free Staging -** Develop your site the way you’ve always wanted to. Update without breaking live site.
* **Doesn’t Slow Down Website, Ever -** All processing take place on our own server. Your site does not slow down at all.
* **No Technical Knowledge Needed -** Automated workflows that ensure everything you need is only a click away.
* **Personal Support for Everyone -** Agile & Responsive Customer Support that caters to Everyone.

**Have You Tried BlogVault Pro Yet?**

BlogVault offers an unrestricted 7 days free trial. **Explore all features of full BlogVault for FREE**.

**[Try out BlogVault](http://bit.ly/2RKzrgY)** without any commitment. No credit card needed.

== FREQUENTLY ASKED QUESTIONS ==

=Can I Setup my BlogVault backup account myself?=
Yes. Take the help of this **[step-by-step guide](http://bit.ly/2RJg9sv)**.

=I am unable to reach the backup plugin. What can I do?=
You can send an email to the support team on *support@blogvault.net* and notify our team regarding this.

=Are there any prerequisites for using BlogVault?=
No. All you need is a WordPress site. We don’t use your website resources for backing up so you will not experience any downtime, or page delay while executing BlogVault functions.

=Do you have a free plan? How does it work?=
BlogVault is a paid backup service. But we understand the user's dilemma before starting a new service, which is why we provide a 7 days free trial period. You can avail free trial without any registration, just enter your email ID, password and site URL. Moreover, we do not discriminate between our trial period users and premium customers.

=How do I upgrade from my free trial to a premium account?=
To upgrade from free trial version to a premium account, please take the help of **[this guide](http://bit.ly/2RHvPfS)**.

=How do I upgrade to a bigger Plan?=
To upgrade to a bigger Plan, take the help of **[this guide](http://bit.ly/2RHvPfS)**.

=Do I need to pay for support and help?=
Never! We will be with you for any queries regarding backups or anything at all times. **[Click here](https://blogvault.net/contact)** to get in touch with us!

=What exactly does BlogVault backup?=
BlogVault Backup Service backs up everything in your WordPress site incrementally and completely – Including posts, pages, files, themes, images, etc. A WordPress site consists of 2 parts:
* Database backup – We back up the complete database.
* Files backup – We back up all the files within your core WordPress folders (wp-content, wp-includes, and wp-admin).

This strategy ensures that we do not miss anything on your site.

=How often does BlogVault backup my website?=
BlogVault backs up your website daily, automatically.

=How safe are my backup files?=
Your backups are very safe. We use encrypted cloud backups and off-site BlogVault servers to store your site backups and run security operations. This ensures seamless integration of security to your website without affecting your site servers.

=Can I have all backups sync to my Google Drive and not Dropbox?=
We do not automatically sync your backups to Dropbox. However, we do provide an interface that can help enable you to move your backup to Dropbox. You can also download your Backups to your computer and then upload them on Google Drive.

=Can BlogVault be used for WooCommerce store websites?=
Yes, BlogVault integrates well with WooCommerce websites with the special inbuilt Real Time backups functionality. Please see **[WooCommerce backups page](http://bit.ly/2RKNfrR)**.

=What does BlogVault backup from a WooCommerce site?=
BlogVault backups files and tables, database metadata like database name, location, all content, settings, and configuration.

=Can I restore WooCommerce backup using BlogVault?=
Yes. Restoring a backup using BlogVault is easy. Take a look at **[how to restore a site](http://bit.ly/2RL9gXN)**.

=Can I use BlogVault to handle Backup Restoration?=
Yes, BlogVault’s Auto recovery functionality gets your site back up and running with almost Zero Downtime. Please see **[Auto-Recovery page](http://bit.ly/2RKsEUE)**.

=What is the difference between Restore and Test Restore?=
Test Restore is meant to test the backups only, whereas Restore helps to restore a backup on the live site, directly.

=Can I restore a backup to a new server?=
Yes. You can do this by making use of our integrated Migration feature where you can choose the backup version that you want to migrate to a new server or new site.

=Where is the staging site located?=
Your staging site will be on BlogVault servers.

=How long is my staging valid?=
With BlogVault backup service, you can extend your staging site validity up to 56 days.

=What do I do after Staging a site?=
After you are satisfied with your staging site, BlogVault Backup Service allows you can push the changes you like, onto your actual live site, directly.

=Will I receive emails from the staging environment?=
No, we do not have a mailing system at the Staging server. Many sites have automated emails setup on their sites. On staging environments, they do not want these to be triggered. Staging environment does not have protection for spam emails. Blocking all emails ensures that the staging server IP is not blacklisted.

=Can I merge WooCommerce website staging site to live site?=
If you move them from the staging site to the live site, all your new orders will be lost on the live site. But we have provided you with the option with the selective merge. Select only the tables you want to merge and let BlogVault take care of the rest for you. Please don’t forget to backup your website before you start merging.

=Does BlogVault backup work with all web hosts?=
Yes. We’ve built BlogVault to work with any web host in the world. You just need to provide FTP credentials for the destination server. We migrate your WordPress site, whether you are:

Migrating to or from GoDaddy, BlueHost, SiteGround, HostGator, WPEngine, Flywheel, etc. OR Migrating to any other web host (in this case you’ll have to select either the cPanel or FTP options).

=Will there be downtime during migration?=
No, BlogVault Backup Service will cause no downtime to the destination server while migration.

=Will BlogVault start backing up the new site after migration?=
Unless otherwise specified, BlogVault will backup a site following DNS resolution. If you migrated the site to a different URL, make sure the new URL is added as a site with BlogVault to enable backup. If the migration were to the same URL at a different host, BlogVault would automatically start doing a backup from the new location as soon as the DNS is updated.

=Can I update WordPress core, plugins and themes directly?=
Yes. Take a look at this **[Manage Site help doc](http://bit.ly/2ROA9du)**. Before updating on the live site, we’d suggest you update on a staging site. BlogVault Backup Service comes with a free staging website.

=Can I manage my site users and their password directly?=
Yes. With BlogVault backup service, you can manage your site users and passwords. Take the help of this **[Manage Site help doc](http://bit.ly/2ROA9du)**.

=Can I add Clients and Team Members on my BlogVault Backup account?=
Yes, you can.

Our client feature is for your reference alone. You can assign a client to their site. If you want to give a user, the dashboard access, please add them as your team members under the team section. Please see **[How do I add clients and team members](http://bit.ly/2RK7p5t)**?

=Isn’t WordPress or Web Host backing up my website for me?=
WordPress by default does not back up your site for you. As for web hosts, if your site is not on wordpress.com, then you have a reason to worry. Servers, while generally robust, do fail from time to time for various reasons. Moreover, web hosting providers usually do not provide complete backups. When such backups are restored, sites crash and data is lost. Several such horror stories inspired us to build this service!

=Do I really need BlogVault?=
BlogVault provides comprehensive and complete backup services. Apart from handling website security, it can also assist you with instant Migration as well as Staging and Merging services at very reasonable rates.
This is a backup and security service that remains committed to your website security by handling site management functions. If you care about keeping your WordPress website safe, then you definitely need a security solution like BlogVault.

=What will the security report contain?=
Your Website Reports will contain details on the following:
* WP Version
* Total Backups made
* Backups Time range
* Total security scans made (Backup+Security plan only)
* Active Theme
* Number of Published Posts
* Number of Published Pages
* Number of Approved Comments
* Total database tables
* Total Files
* Total Plugins
* Active Plugins
* Installed Themes

=Is BlogVault compatible with all other plugins and themes?=
BlogVault is compatible with all plugins and themes. It works even if you have a different backup plugin installed. If you want to uninstall a plugin and install BlogVault plugin, kindly take a look at our guide on **[How to install BlogVault](http://bit.ly/2RKgPxP)**.

=Error: "FTP permission issues, FTP is correct but we might not have permissions to upload or remove a file."=
This could happen when you’re on shared hosting. Contact your host and ask them to grant you access to upload files via FTP.

=Error: "Execution expired, Connection timed out, Connection reset by a peer in both FTP and HTTP requests."=
Nothing to worry, this notification means your destination server denied our requests to offload your site’s data. This could be because of a few reasons:
* Your destination site isn’t reachable (you’ll have to contact your destination web host about this)
* You have a firewall installed, which is blocking consecutive requests from the same source (in which case, please wait for some time and try again)

=How can I submit a feature request?=
We are happy to accept all feature requests for our products and services. Simply fill in a detailed description of our **[contact form](https://blogvault.net/contact/)**, and we’ll make sure the correct department reviews the request. We cannot guarantee that all requests will be satisfied, but we love hearing feedback from our users.

=Very happy with the service and want to give you guys a review. Where do I do it?=
Thank you. We really appreciate these kind words, and it makes our day. We would love it if you could review our service **[here](http://bit.ly/2RKkko2)**.

== SCREENSHOTS ==

1. BlogVault provides you a comprehensive History page that lets you manage all your WordPress backups with ease.
2. Trusted by over 4,00,000+ websites, BlogVault is the best WordPress backup service for your website.
3. Check the Performance Speed of your website from the BlogVault dashboard.
4. Manage multiple WordPress sites from one dashboard.
5. With Uptime Monitoring you get notified the moment your website is shut down.
6. With BlogVault's free Staging test updates, plugins, and WordPress themes without breaking your live site.
7. With BlogVault's White-Label Solution you can showcase our service under your own brilliant brand.
8. For WooCommerce sites, BlogVault’s Real Time Backups can make all the difference.
9. We power WordPress migration for WPEngine, Pantheon, FlyWheel, LiquidWeb, Cloudways, Savvii and many more. Need we say more?

== CHANGELOG ==
= 4.26 =
* Handling Premium plugin and themes updates

= 4.25 =
* Woocommerce Compatibility upto version 4.0

= 4.22 =
* Sending plugname in request to backend servers

= 4.21 =
* Adding default parameter for BVWPAdmin constructor

= 4.2 =
* Firewall in prepend mode
* Robust Firewall and Login protection
* Robust write callbacks
* Without FTP cleanup and restore support

= 3.4 =
* Updating account authentication structure
* Adding params validation
* Adding support for custom user tables
* Restructuring classes
* Request profiling and Firewall improvements
* Plugin branding fixes

= 1.88 =
* Handling translations
* Callback improvements
* Adding delete transient callback

= 1.87 =
* Checking Whitelisted IP's first

= 1.86 =
* Making add account compatible for PHP 5.3
* Updating tested upto 5.1

= 1.85 =
* UI improvements

= 1.84 =
* Disable form on submit

= 1.83 =
* Setting blocked page to be non-cacheable

= 1.82 =
* Improving ip extraction and updating tested upto 5.0

= 1.81 =
* Adding Geoblocking functionality

= 1.78 =
* Adding support for hourly backup

= 1.77 =
* Adding function_exists for getmyuid and get_current_user functions 

= 1.76 =
* Removing create_funtion for PHP 7.2 compatibility

= 1.75 =
* Adding check for multisite.

= 1.74 =
* DynSync Bug Fix for multisite.

= 1.73 =
* Ability to show captcha for all login blocked

= 1.72 =
* Adding Misc Callback

= 1.71 =
* Adding logout functionality in the plugin

= 1.69 =
* Adding support for chunked base64 encoding

= 1.68 =
* Updating upload rows 

= 1.67 =
* Latest WooCommerce plugin compatibility

= 1.66 =
* Updating TOS and privacy policies

= 1.65 =
* Bug fix for dynsync

= 1.64 =
* Bug fixes for lp and fw

= 1.62 =
* SSL support in plugin for API calls
* Adding support for plugin branding

= 1.61 =
* Better handling for request IP

= 1.53 =
* Restructuring plugin completely
* Better security

= 1.49 =
* Updated WooCommerce Dynamic Sync

= 1.46 =
* Separating the functions into clear modules.
* Re-enabling dbsig, but only for identity.
* Making comparisons stricter.
* Changing asym key.

= 1.44 =
* Disabled dbsig.
* Updated asym_key.

= 1.42 =
* Using custom skin to track site management.
* Clearing actions during callback.

= 1.41 =
* Better integrity checking.
* Woo Commerce Dynamic sync support.

= 1.40 =
* Manage sites straight from BlogVault dashboard.

= 1.31 =
* Changing dynamic backups to be pull-based.

= 1.30 =
* Using dbsig based authenticatation.

= 1.22 =
* Adding support for GLOB based directory listings.

= 1.21 =
* Adding support for PHP 5 style constructors.

= 1.20 =
* Adding DB Signature and Server Signature to uniquely identify a site.
* Adding the stats api to the WordPress Backup plugin.
* Sending tablename/rcount as part of the callback.

= 1.17 =
* Add support for repair table so that the backup plugin itself can be used to repair tables without needing PHPMyAdmin access.
* Making the plugin to be available network wide.

= 1.16 =
* Improving the Base64 Decode functionality so that it is extensible for any parameter in the future and backups can be completed for any site.
* Separating out callbacks gettablecreate and getrowscount to make the backups more modular.
* The plugin will now automatically ping the server once a day. This will ensure that we know if we are not doing the backup of a site where the plugin is activated.
* Use SHA1 for authentication instead of MD5.

= 1.15 =
* Separating to multiple files.
* Adding BVSecurity with limit logins.

= 1.14 =
* Better handling for real-time backup events for WooCommerce.
* Support real-time backups for WooCommerce version 2.1.12.
* Improving the is_admin check with current_user_can('activate_plugins').
* Removing the option to manually add the BlogVault badge for the free backup plan.

= 1.13 =
* Adding events for the dynamic backup of the usermeta table.

= 1.12 =
* Introducing the free weekly backup plan.
* Show the ad for the free backup plan in the sidebar.
* Changing default backup plans to pay for year in advance.

= 1.11 =
* Making the backup plugin compatible with older versions of WordPress. network_site_url was not available in WP versions older than 3.0. For older versions we use get_bloginfo("wpurl").
* The randomly generated secret key is sent to the server during login or signup. This will let us configure the keys easily on the plugin for backups to take place.
* Adding the screenshot to show all backups being managed from one dashboard.

= 1.10 =
* Ability to not do dynamic backups for updates to certain changes to the options table.
* Additional options which need to be blocked for dynamic backups can be sent from the server.
* Ability to not do dynamic backups for updates to certain changes to the postmeta table.
* Additional postmeta keys which need to be blocked for dynamic backups can be sent from the server.
* Do not dynamically backup comments which have been marked as spam.
* Do not dynamically backup commentmeta for comments which have been marked as spam.
* Improve the look and feel of the admin page.
* Include link to the review of the BlogVault Backup plugin by MIGHTYminnow.

= 1.09 =
* When the plugin is activated but an BlogVault Account is not created then the secret key is left empty. This is a security issue. Hence we will set a random value for the secret key when the plugin is installed.

= 1.08 =
* Changing the name to Backup Plugin by BlogVault.
* Updating the tested WordPress version to 3.9.

= 1.06 =
* Setting BlogVault key now validates the nonce to prevent XSRF.
* Updating the plugin description with video introducing BlogVault.

= 1.05 =
* Real-time backup for WooCommerce.

= 1.04 =
* Separating the different BlogVault functions into classes.
* Ability to update the BlogVault Key.
* Retrieving/Updating option only on the main site of a Network install.

= 1.02 =
* Releasing the BlogVault plugin into the WordPress repository.

